Galon Cloud
Galon API v1

/received-emails/{email_id}/attachments/{attachment_id}

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /received-emails/{email_id}/attachments/{attachment_id}

Download an attachment

Key carrying mail:send AND job:read. Served only when inbound is open to the account (404 not_found otherwise). Bytes streamed, download forced.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
email_idpathstring · required
attachment_idpathstring · required

Responses

StatusDescriptionBody
200Attachment bytesstring
404Not foundError
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/received-emails/<email_id>/attachments/<attachment_id>" \
  -H "Authorization: Bearer $GALON_API_KEY"